syntax = "proto3";

package sentry.v1;
import "sentry/v1/request_response.proto";
import "google/protobuf/empty.proto";

// SentryService methods for other module.
service SentryService {
  // LimitInfo get latest param for make batch tx.
  rpc GetLimitInfo(LimitInfoRequest) returns(LimitInfoResponse) {}
  // CommitBatchTx used to commit batch tx to tx-sort-network
  rpc CommitBatchTx(CommitBatchTxRequest) returns(CommitBatchTxResponse) {}
  // GetTxReceipt from tx-sort-network with txhash
  rpc GetBatchTxResult(GetReceiptRequest) returns(GetReceiptResponse) {}
  //for val
  // GetNewBlock used for nebula get new virtual block info from contract with lastblock.
  rpc GetNewBlock(GetNewBlockRequest) returns(GetNewBlockResponse) {}
  // CommitBlock used for nebula commit new block and state info to contract.
  rpc CommitBlock(CommitBlockRequest) returns(CommitBlockResponse) {}
  // GetConsensusedBlock used for nebula get special block consensus result.
  rpc GetConfirmedBlock(GetConsensusedBlockRequest) returns(GetConsensusedBlockResponse) {}

}
